export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
} & {
    [key: string]: any;
};
export declare type Error = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
} & {
    [key: string]: any;
};
export declare type SearchRequest = {
    limit?: number;
    query: any;
    sorts?: Array<Sort>;
    offset?: number;
} & {
    [key: string]: any;
};
export declare type PaginatedSearchResult = {
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    hits?: Array<object>;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type SimpleSearchResult = {
    limit: number;
    hits?: Array<object>;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type CustomerAddress = {
    address1?: string;
    address2?: string;
    addressId: string;
    city?: string;
    companyName?: string;
    countryCode: string;
    creationDate?: any;
    etag?: string;
    firstName?: string;
    fullName?: string;
    jobTitle?: string;
    lastModified?: any;
    lastName: string;
    phone?: string;
    postBox?: string;
    postalCode?: string;
    salutation?: string;
    secondName?: string;
    stateCode?: string;
    suffix?: string;
    suite?: string;
    title?: string;
} & {
    [key: string]: any;
};
export declare type CustomerGroupSearchResult = {
    hits?: Array<CustomerGroup>;
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type CustomerList = {
    id: string;
} & {
    [key: string]: any;
};
export declare type CustomerSearchHit = {
    data: Customer;
    relevance: number;
} & {
    [key: string]: any;
};
export declare type CustomerGroupMembers = {
    limit?: number;
    data?: Array<CustomerGroupMember>;
    offset?: number;
    total?: number;
} & {
    [key: string]: any;
};
export declare type Rule = {
    description: string;
} & {
    [key: string]: any;
};
export declare type CustomerGroup = {
    creationDate?: any;
    description?: string;
    id: string;
    inDeletion?: boolean;
    lastModified?: any;
    memberCount?: number;
    rule?: Rule;
    type?: string;
} & {
    [key: string]: any;
};
export declare type CustomerGroupMemberSearchResult = {
    hits?: Array<CustomerGroupMember>;
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type CustomerAddressResult = {
    limit?: number;
    data?: Array<CustomerAddress>;
    offset?: number;
    total?: number;
} & {
    [key: string]: any;
};
export declare type Customer = {
    birthday?: any;
    companyName?: string;
    creationDate?: any;
    credentials?: Credentials;
    customerId?: string;
    customerNo: string;
    email?: string;
    fax?: string;
    firstName?: string;
    gender?: number;
    jobTitle?: string;
    lastLoginTime?: any;
    lastModified?: any;
    lastName: string;
    lastVisitTime?: any;
    phoneBusiness?: string;
    phoneHome?: string;
    phoneMobile?: string;
    preferredLocale?: string;
    previousLoginTime?: any;
    previousVisitTime?: any;
    primaryAddress?: CustomerAddress;
    salutation?: string;
    secondName?: string;
    suffix?: string;
    title?: string;
} & {
    [key: string]: any;
};
export declare type CustomerGroupMember = {
    active?: boolean;
    creationDate?: any;
    customerNo: string;
    email?: string;
    firstName?: string;
    lastModified?: any;
    lastName: string;
    login?: string;
} & {
    [key: string]: any;
};
export declare type Credentials = {
    enabled?: boolean;
    locked?: boolean;
    login: string;
    passwordQuestion?: string;
} & {
    [key: string]: any;
};
export declare type CustomerSearchResult = {
    hits: Array<CustomerSearchHit>;
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type BoolFilter = {
    filters?: Array<any>;
    operator: string;
} & {
    [key: string]: any;
};
export declare type MatchAllQuery = {} & {
    [key: string]: any;
};
export declare type FilteredQuery = {
    filter: any;
    query: any;
} & {
    [key: string]: any;
};
export declare type QueryFilter = {
    query: any;
} & {
    [key: string]: any;
};
export declare type Query = {
    boolQuery?: {
        must?: Array<any>;
        mustNot?: Array<any>;
        should?: Array<any>;
    } & {
        [key: string]: any;
    };
    filteredQuery?: {
        filter: any;
        query: any;
    } & {
        [key: string]: any;
    };
    matchAllQuery?: {} & {
        [key: string]: any;
    };
    nestedQuery?: {
        path: string;
        query: any;
        scoreMode?: string;
    } & {
        [key: string]: any;
    };
    termQuery?: {
        fields: Array<string>;
        operator: string;
        values?: Array<any>;
    } & {
        [key: string]: any;
    };
    textQuery?: {
        fields: Array<string>;
        searchPhrase: string;
    } & {
        [key: string]: any;
    };
} & {
    [key: string]: any;
};
export declare type TermQuery = {
    fields: Array<string>;
    operator: string;
    values?: Array<any>;
} & {
    [key: string]: any;
};
export declare type TermFilter = {
    field: string;
    operator: string;
    values?: Array<any>;
} & {
    [key: string]: any;
};
export declare type TextQuery = {
    fields: Array<string>;
    searchPhrase: string;
} & {
    [key: string]: any;
};
export declare type Range2Filter = {
    filterMode?: string;
    fromField: string;
    fromInclusive?: boolean;
    fromValue?: any;
    toField: string;
    toInclusive?: boolean;
    toValue?: any;
} & {
    [key: string]: any;
};
export declare type BoolQuery = {
    must?: Array<any>;
    mustNot?: Array<any>;
    should?: Array<any>;
} & {
    [key: string]: any;
};
export declare type NestedQuery = {
    path: string;
    query: any;
    scoreMode?: string;
} & {
    [key: string]: any;
};
export declare type Filter = {
    boolFilter?: {
        filters?: Array<any>;
        operator: string;
    } & {
        [key: string]: any;
    };
    queryFilter?: {
        query: any;
    } & {
        [key: string]: any;
    };
    range2Filter?: {
        filterMode?: string;
        fromField: string;
        fromInclusive?: boolean;
        fromValue?: any;
        toField: string;
        toInclusive?: boolean;
        toValue?: any;
    } & {
        [key: string]: any;
    };
    rangeFilter?: {
        field: string;
        from?: any;
        fromInclusive?: boolean;
        to?: any;
        toInclusive?: boolean;
    } & {
        [key: string]: any;
    };
    termFilter?: {
        field: string;
        operator: string;
        values?: Array<any>;
    } & {
        [key: string]: any;
    };
} & {
    [key: string]: any;
};
export declare type Sort = {
    field: string;
    sortOrder?: string;
} & {
    [key: string]: any;
};
export declare type RangeFilter = {
    field: string;
    from?: any;
    fromInclusive?: boolean;
    to?: any;
    toInclusive?: boolean;
} & {
    [key: string]: any;
};
//# sourceMappingURL=customers.types.d.ts.map