export declare type Money = {
    currencyMnemonic?: string;
    value?: number;
} & {
    [key: string]: any;
};
export declare type SimpleSearchResult = {
    limit: number;
    hits?: Array<object>;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type SearchRequest = {
    limit?: number;
    query: any;
    sorts?: Array<Sort>;
    offset?: number;
} & {
    [key: string]: any;
};
export declare type PaginatedSearchResult = {
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    hits?: Array<object>;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
} & {
    [key: string]: any;
};
export declare type TimeOfDay = {
    timeFrom: string;
    timeTo: string;
} & {
    [key: string]: any;
};
export declare type Campaign = {
    campaignId: string;
    coupons?: Array<string>;
    creationDate?: any;
    customerGroups?: Array<string>;
    description?: string;
    enabled?: boolean;
    endDate?: any;
    lastModified?: any;
    sourceCodeGroups?: Array<string>;
    startDate?: any;
} & {
    [key: string]: any;
};
export declare type PromotionCampaignAssignment = {
    campaign: Campaign;
    campaignId: string;
    coupons: Array<string>;
    customerGroups: Array<string>;
    description: string;
    enabled: boolean;
    promotion: Promotion;
    promotionId: string;
    rank: number;
    schedule: Schedule;
    sourceCodeGroups: Array<string>;
} & {
    [key: string]: any;
};
export declare type Tag = {
    tagId: string;
} & {
    [key: string]: any;
};
export declare type Promotion = {
    archived?: boolean;
    assignmentInformation?: PromotionAssignmentInformation;
    creationDate?: any;
    currencyCode?: string;
    disableGloballyExcluded?: boolean;
    enabled?: boolean;
    exclusivity: string;
    id: string;
    lastModified?: any;
    name?: {} & {
        [key: string]: string;
    };
    promotionClass?: string;
    tags?: Array<Tag>;
} & {
    [key: string]: any;
};
export declare type PromotionAssignmentInformation = {
    abtestId: string;
    abtestSegmentId: string;
    active: boolean;
    activeAbtestAssignments: Array<PromotionAbtestGroupAssignment>;
    activeCampaignAssignments: Array<PromotionCampaignAssignment>;
    campaignId: string;
    enabled: boolean;
    endDate: any;
    schedule: Schedule;
    scheduleType: string;
    startDate: any;
    upcomingAbtestAssignments: Array<PromotionAbtestGroupAssignment>;
    upcomingCampaignAssignments: Array<PromotionCampaignAssignment>;
} & {
    [key: string]: any;
};
export declare type Schedule = {
    endDate: any;
    recurrence: Recurrence;
    startDate: any;
} & {
    [key: string]: any;
};
export declare type PromotionCampaignAssignmentSearchResult = {
    hits: Array<PromotionCampaignAssignment>;
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type Recurrence = {
    dayOfWeek: Array<string>;
    timeOfDay: TimeOfDay;
} & {
    [key: string]: any;
};
export declare type PromotionAbtestGroupAssignment = {
    abtestDescription: string;
    abtestId: string;
    enabled: boolean;
    schedule: Schedule;
    segmentDescription: string;
    segmentId: string;
} & {
    [key: string]: any;
};
export declare type BoolFilter = {
    filters?: Array<any>;
    operator: string;
} & {
    [key: string]: any;
};
export declare type MatchAllQuery = {} & {
    [key: string]: any;
};
export declare type FilteredQuery = {
    filter: any;
    query: any;
} & {
    [key: string]: any;
};
export declare type QueryFilter = {
    query: any;
} & {
    [key: string]: any;
};
export declare type Query = {
    boolQuery?: {
        must?: Array<any>;
        mustNot?: Array<any>;
        should?: Array<any>;
    } & {
        [key: string]: any;
    };
    filteredQuery?: {
        filter: any;
        query: any;
    } & {
        [key: string]: any;
    };
    matchAllQuery?: {} & {
        [key: string]: any;
    };
    nestedQuery?: {
        path: string;
        query: any;
        scoreMode?: string;
    } & {
        [key: string]: any;
    };
    termQuery?: {
        fields: Array<string>;
        operator: string;
        values?: Array<any>;
    } & {
        [key: string]: any;
    };
    textQuery?: {
        fields: Array<string>;
        searchPhrase: string;
    } & {
        [key: string]: any;
    };
} & {
    [key: string]: any;
};
export declare type TermQuery = {
    fields: Array<string>;
    operator: string;
    values?: Array<any>;
} & {
    [key: string]: any;
};
export declare type TermFilter = {
    field: string;
    operator: string;
    values?: Array<any>;
} & {
    [key: string]: any;
};
export declare type TextQuery = {
    fields: Array<string>;
    searchPhrase: string;
} & {
    [key: string]: any;
};
export declare type Range2Filter = {
    filterMode?: string;
    fromField: string;
    fromInclusive?: boolean;
    fromValue?: any;
    toField: string;
    toInclusive?: boolean;
    toValue?: any;
} & {
    [key: string]: any;
};
export declare type BoolQuery = {
    must?: Array<any>;
    mustNot?: Array<any>;
    should?: Array<any>;
} & {
    [key: string]: any;
};
export declare type NestedQuery = {
    path: string;
    query: any;
    scoreMode?: string;
} & {
    [key: string]: any;
};
export declare type Filter = {
    boolFilter?: {
        filters?: Array<any>;
        operator: string;
    } & {
        [key: string]: any;
    };
    queryFilter?: {
        query: any;
    } & {
        [key: string]: any;
    };
    range2Filter?: {
        filterMode?: string;
        fromField: string;
        fromInclusive?: boolean;
        fromValue?: any;
        toField: string;
        toInclusive?: boolean;
        toValue?: any;
    } & {
        [key: string]: any;
    };
    rangeFilter?: {
        field: string;
        from?: any;
        fromInclusive?: boolean;
        to?: any;
        toInclusive?: boolean;
    } & {
        [key: string]: any;
    };
    termFilter?: {
        field: string;
        operator: string;
        values?: Array<any>;
    } & {
        [key: string]: any;
    };
} & {
    [key: string]: any;
};
export declare type Sort = {
    field: string;
    sortOrder?: string;
} & {
    [key: string]: any;
};
export declare type RangeFilter = {
    field: string;
    from?: any;
    fromInclusive?: boolean;
    to?: any;
    toInclusive?: boolean;
} & {
    [key: string]: any;
};
//# sourceMappingURL=assignments.types.d.ts.map