export declare type Money = {
    currencyMnemonic?: string;
    value?: number;
} & {
    [key: string]: any;
};
export declare type SimpleSearchResult = {
    limit: number;
    hits?: Array<object>;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type SearchRequest = {
    limit?: number;
    query: any;
    sorts?: Array<Sort>;
    offset?: number;
} & {
    [key: string]: any;
};
export declare type PaginatedSearchResult = {
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    hits?: Array<object>;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
} & {
    [key: string]: any;
};
export declare type CouponRedemptionSearchResult = {
    hits: Array<CouponRedemption>;
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type CouponCodes = {
    limit?: any;
    data: Array<CouponCode>;
    offset?: any;
    total: number;
} & {
    [key: string]: any;
};
export declare type RedemptionLimits = {
    limitPerCode: number;
    limitPerCustomer: number;
    limitPerTimeFrame: RedemptionLimitPerPeriod;
} & {
    [key: string]: any;
};
export declare type CouponRedemption = {
    code: string;
    couponId: string;
    creationDate: any;
    customerEmail: string;
    orderNo: string;
    viewOrderUrl: string;
} & {
    [key: string]: any;
};
export declare type RedemptionLimitPerPeriod = {
    limit: number;
    redemptionTimeFrame: number;
} & {
    [key: string]: any;
};
export declare type CouponCode = {
    code: string;
    issued: boolean;
    redemptionCount: number;
} & {
    [key: string]: any;
};
export declare type CouponSearchResult = {
    hits: Array<Coupon>;
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type Coupon = {
    couponId: string;
    creationDate?: any;
    description?: string;
    enabled: boolean;
    exportedCodeCount?: number;
    lastModified?: any;
    redemptionCount?: number;
    redemptionLimits?: RedemptionLimits;
    singleCode?: string;
    systemCodesConfig?: CouponSystemCodeConfig;
    totalCodesCount?: number;
    type: string;
} & {
    [key: string]: any;
};
export declare type CouponMultiCodesRequest = {
    codes: Array<string>;
} & {
    [key: string]: any;
};
export declare type CouponSystemCodeConfig = {
    codePrefix: string;
    numberOfCodes: number;
} & {
    [key: string]: any;
};
export declare type BoolFilter = {
    filters?: Array<any>;
    operator: string;
} & {
    [key: string]: any;
};
export declare type MatchAllQuery = {} & {
    [key: string]: any;
};
export declare type FilteredQuery = {
    filter: any;
    query: any;
} & {
    [key: string]: any;
};
export declare type QueryFilter = {
    query: any;
} & {
    [key: string]: any;
};
export declare type Query = {
    boolQuery?: {
        must?: Array<any>;
        mustNot?: Array<any>;
        should?: Array<any>;
    } & {
        [key: string]: any;
    };
    filteredQuery?: {
        filter: any;
        query: any;
    } & {
        [key: string]: any;
    };
    matchAllQuery?: {} & {
        [key: string]: any;
    };
    nestedQuery?: {
        path: string;
        query: any;
        scoreMode?: string;
    } & {
        [key: string]: any;
    };
    termQuery?: {
        fields: Array<string>;
        operator: string;
        values?: Array<any>;
    } & {
        [key: string]: any;
    };
    textQuery?: {
        fields: Array<string>;
        searchPhrase: string;
    } & {
        [key: string]: any;
    };
} & {
    [key: string]: any;
};
export declare type TermQuery = {
    fields: Array<string>;
    operator: string;
    values?: Array<any>;
} & {
    [key: string]: any;
};
export declare type TermFilter = {
    field: string;
    operator: string;
    values?: Array<any>;
} & {
    [key: string]: any;
};
export declare type TextQuery = {
    fields: Array<string>;
    searchPhrase: string;
} & {
    [key: string]: any;
};
export declare type Range2Filter = {
    filterMode?: string;
    fromField: string;
    fromInclusive?: boolean;
    fromValue?: any;
    toField: string;
    toInclusive?: boolean;
    toValue?: any;
} & {
    [key: string]: any;
};
export declare type BoolQuery = {
    must?: Array<any>;
    mustNot?: Array<any>;
    should?: Array<any>;
} & {
    [key: string]: any;
};
export declare type NestedQuery = {
    path: string;
    query: any;
    scoreMode?: string;
} & {
    [key: string]: any;
};
export declare type Filter = {
    boolFilter?: {
        filters?: Array<any>;
        operator: string;
    } & {
        [key: string]: any;
    };
    queryFilter?: {
        query: any;
    } & {
        [key: string]: any;
    };
    range2Filter?: {
        filterMode?: string;
        fromField: string;
        fromInclusive?: boolean;
        fromValue?: any;
        toField: string;
        toInclusive?: boolean;
        toValue?: any;
    } & {
        [key: string]: any;
    };
    rangeFilter?: {
        field: string;
        from?: any;
        fromInclusive?: boolean;
        to?: any;
        toInclusive?: boolean;
    } & {
        [key: string]: any;
    };
    termFilter?: {
        field: string;
        operator: string;
        values?: Array<any>;
    } & {
        [key: string]: any;
    };
} & {
    [key: string]: any;
};
export declare type Sort = {
    field: string;
    sortOrder?: string;
} & {
    [key: string]: any;
};
export declare type RangeFilter = {
    field: string;
    from?: any;
    fromInclusive?: boolean;
    to?: any;
    toInclusive?: boolean;
} & {
    [key: string]: any;
};
//# sourceMappingURL=coupons.types.d.ts.map