export declare type ErrorResponse = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
} & {
    [key: string]: any;
};
export declare type Error = {
    type: string;
    title?: string;
    detail?: string;
    instance?: string;
} & {
    [key: string]: any;
};
export declare type SearchRequest = {
    limit?: number;
    query: any;
    sorts?: Array<Sort>;
    offset?: number;
} & {
    [key: string]: any;
};
export declare type PaginatedSearchResult = {
    query: any;
    sorts?: Array<Sort>;
    limit: number;
    hits?: Array<object>;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type SimpleSearchResult = {
    limit: number;
    hits?: Array<object>;
    offset: number;
    total: number;
} & {
    [key: string]: any;
};
export declare type Promotion = {
    calloutMsg?: string;
    currency?: string;
    details?: string;
    endDate?: any;
    id: string;
    image?: string;
    name?: string;
    startDate?: any;
} & {
    [key: string]: any;
};
export declare type PromotionResult = {
    count: number;
    data: Array<Promotion>;
    total: number;
} & {
    [key: string]: any;
};
export declare type BoolFilter = {
    filters?: Array<any>;
    operator: string;
} & {
    [key: string]: any;
};
export declare type MatchAllQuery = {} & {
    [key: string]: any;
};
export declare type FilteredQuery = {
    filter: any;
    query: any;
} & {
    [key: string]: any;
};
export declare type QueryFilter = {
    query: any;
} & {
    [key: string]: any;
};
export declare type Query = {
    boolQuery?: {
        must?: Array<any>;
        mustNot?: Array<any>;
        should?: Array<any>;
    } & {
        [key: string]: any;
    };
    filteredQuery?: {
        filter: any;
        query: any;
    } & {
        [key: string]: any;
    };
    matchAllQuery?: {} & {
        [key: string]: any;
    };
    nestedQuery?: {
        path: string;
        query: any;
        scoreMode?: string;
    } & {
        [key: string]: any;
    };
    termQuery?: {
        fields: Array<string>;
        operator: string;
        values?: Array<any>;
    } & {
        [key: string]: any;
    };
    textQuery?: {
        fields: Array<string>;
        searchPhrase: string;
    } & {
        [key: string]: any;
    };
} & {
    [key: string]: any;
};
export declare type TermQuery = {
    fields: Array<string>;
    operator: string;
    values?: Array<any>;
} & {
    [key: string]: any;
};
export declare type TermFilter = {
    field: string;
    operator: string;
    values?: Array<any>;
} & {
    [key: string]: any;
};
export declare type TextQuery = {
    fields: Array<string>;
    searchPhrase: string;
} & {
    [key: string]: any;
};
export declare type Range2Filter = {
    filterMode?: string;
    fromField: string;
    fromInclusive?: boolean;
    fromValue?: any;
    toField: string;
    toInclusive?: boolean;
    toValue?: any;
} & {
    [key: string]: any;
};
export declare type BoolQuery = {
    must?: Array<any>;
    mustNot?: Array<any>;
    should?: Array<any>;
} & {
    [key: string]: any;
};
export declare type NestedQuery = {
    path: string;
    query: any;
    scoreMode?: string;
} & {
    [key: string]: any;
};
export declare type Filter = {
    boolFilter?: {
        filters?: Array<any>;
        operator: string;
    } & {
        [key: string]: any;
    };
    queryFilter?: {
        query: any;
    } & {
        [key: string]: any;
    };
    range2Filter?: {
        filterMode?: string;
        fromField: string;
        fromInclusive?: boolean;
        fromValue?: any;
        toField: string;
        toInclusive?: boolean;
        toValue?: any;
    } & {
        [key: string]: any;
    };
    rangeFilter?: {
        field: string;
        from?: any;
        fromInclusive?: boolean;
        to?: any;
        toInclusive?: boolean;
    } & {
        [key: string]: any;
    };
    termFilter?: {
        field: string;
        operator: string;
        values?: Array<any>;
    } & {
        [key: string]: any;
    };
} & {
    [key: string]: any;
};
export declare type Sort = {
    field: string;
    sortOrder?: string;
} & {
    [key: string]: any;
};
export declare type RangeFilter = {
    field: string;
    from?: any;
    fromInclusive?: boolean;
    to?: any;
    toInclusive?: boolean;
} & {
    [key: string]: any;
};
//# sourceMappingURL=shopperPromotions.types.d.ts.map